.wapper-supplier{
    width: 100%;
    height: 100%;
    
    //input
    .supplier-header-input{
        width: 80%;
        height: 100%;
        padding: 10px;
        border: 1px solid black;
        border-radius: 3px;
        outline: none;
        &:hover{
            box-shadow: 1px 1px 3px 1px #ccc;
        }
    }
    .btn-add{
        width: 100%;
        height: 100%;
        border-radius: 3px;
        background-color: #2F4F4F;
        color: white;
        border-radius: 3px;
    }
}

//list
.supplier-list{
    border: 2px solid #1e3346;
    border-radius: 5px;
    padding: 30px 0;
    margin-top: 30px;

    .supplier-iteam{
        width: 100%;
        height: 170px;
        border: 1px solid #ccc;
        box-shadow: 1px 1px 2px 1px #ccc;
        border-radius: 3px;
        position: relative;
        display: flex;
        .supplier-iteam-icon-close{
            position: absolute;
            top: 15px;
            right: 15px;
            color: #ccc;
            &:hover {
                svg{
                    fill: red
                }
            }
        }

        .supplier-iteam-info{
            width: 100%;
            display: flex;
            .supplier-iteam-img{
                padding: 20px;
                width: 30%;
                height: 100%;
                .supplier-iteam-img-logo{
                    border-radius: 3px;
                    width: 100%;
                    height: 100%;
                    object-fit: cover;
                    &:hover{
                        z-index: 4;
                        // animation: scale 0.4s linear infinite ;
                    }
                    @keyframes scale {
                        0%{
                            transform: scale(1,1);
                        }
                        100%{
                            transform: scale(1.2, 1.2);
                        }
                    }
                }
                
            }
            
            .supplier-iteam-info{
                text-overflow: ellipsis;
                display: flex;
                flex-direction: column;
                width: 70%;
                padding: 20px 40px 20px 20px;
                .supplier-iteam-info-name{
                    word-wrap: break-word;
                    font-size: 16px;
                    font-weight: 700;
                    padding-bottom: 10px;
                }
                .supplier-iteam-info-adress{
                    word-wrap: break-word;
    
                    font-size: 13px;
                    font-weight: 500;
                }
            }
        }
    }
}
